=== debian/changelog ===
libpam-faillock (1.1.8-18.el7~jessie) jessie; urgency=low

  * Imported from CentOS

 -- Sascha Kettler <sascha.kettler@gronau-it-cloud-computing.de>  Thu, 17 Aug 2017 07:52:49 +0000
