=== debian/control ===
Source: libpam-faillock
Section: admin
Priority: extra
Maintainer: Sascha Kettler <sascha.kettler@gronau-it-cloud-computing.de> 
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-exec (>=0.3), libpam0g-dev, libaudit-dev

Package: libpam-faillock
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module counting authentication failures during a specified interval
 This PAM module maintains a list of failed authentication attempts per user 
 during a specified interval and locks the account in case there were more 
 than a specified number of consecutive failed authentications.
