=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	install -d debian/libpam-faillock/lib/x86_64-linux-gnu/security
	cp pam_faillock.so debian/libpam-faillock/lib/x86_64-linux-gnu/security/pam_faillock.so
	install -d debian/libpam-faillock/usr/share/man/man8
	cp pam_faillock.8.gz debian/libpam-faillock/usr/share/man/man8/pam_faillock.8.gz
	install -d debian/libpam-faillock/var/run/faillock
